Skip to content
Start here

Create App

client.realtimeKit.apps.post(AppPostParams { account_id, name } params, RequestOptionsoptions?): AppPostResponse { data, success }
POST/accounts/{account_id}/realtime/kit/apps

Create new app for your account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
params: AppPostParams { account_id, name }
account_id: string

Path param: The account identifier tag.

maxLength32
name: string

Body param

minLength1
ReturnsExpand Collapse
AppPostResponse { data, success }
data?: Data { app }
app?: App { id, created_at, name }
id?: string
formatuuid
created_at?: string
formatdate-time
name?: string
success?: boolean

Create App

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.apps.post({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  name: 'x',
});

console.log(response.data);
{
  "data": {
    "app": {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-new-app"
    }
  },
  "success": true
}
Returns Examples
{
  "data": {
    "app": {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-new-app"
    }
  },
  "success": true
}